<?php
$vendorDir = '/usr/share/php';
$pearDir   = '/usr/share/pear';
$baseDir   = dirname(__DIR__);

# php-password-compat
require_once $vendorDir.'/password_compat/password.php';

require_once $vendorDir.'/Symfony/Component/ClassLoader/UniversalClassLoader.php';

use Symfony\Component\ClassLoader\UniversalClassLoader;

$loader = new UniversalClassLoader();
$loader->registerNamespaces(
    array(
        'fkooman\\SimpleAuth' => $baseDir.'/src',
        'fkooman\\Rest' => $vendorDir,
        'fkooman\\Http' => $vendorDir,
        'fkooman\\Json' => $vendorDir,
    )
);
$loader->registerPrefixes(array(
    'Twig_'               => array($pearDir, $vendorDir),
));

$loader->register();
